// This code example is created for educational purpose
// by Thorsten Thormaehlen (contact: www.thormae.de).
// It is distributed without any warranty.

package de.unimarburg.linerectcircleapp;

import android.app.Activity;
import android.os.Bundle;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

public class LineRectCircle extends Activity {
  
  public class MyView extends View {
    
    Paint paint;
    
    public MyView(Context context) {
      super(context);
      paint = new Paint();
      paint.setColor(Color.BLACK);
      paint.setStyle(Paint.Style.STROKE);
    }

    @Override
    public void onDraw(Canvas canvas) {
      canvas.drawLine(20.0f, 50.0f, 50.0f, 200.0f, paint);
      canvas.drawRect(100.0f, 50.0f, 60.0f, 80.0f, paint);
      canvas.drawCircle(200.0f, 100.0f, 80.0f, paint);
    }
  }

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    MyView myview = new MyView(this);
    myview.setBackgroundColor(Color.GRAY);
    setContentView(myview);

  }
}
